#
# spec file for package perl-ExtUtils-Constant
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ExtUtils-Constant
Version:        0.23
Release:        9.2
%define cpan_name ExtUtils-Constant
Summary:        generate XS code to import C header constants
License:        CHECK(GPL-1.0+ or Artistic-1.0)
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ExtUtils-Constant/
Source:         http://www.cpan.org/authors/id/N/NW/NWCLARK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
ExtUtils::Constant facilitates generating C and XS wrapper code to allow
perl modules to AUTOLOAD constants defined in C library header files. It is
principally used by the 'h2xs' utility, on which this code is based. It
doesn't contain the routines to scan header files to extract these
constants.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%if 0%{?rhel}
rm -rf %{buildroot}/usr/lib/perl5/vendor_perl/auto/ExtUtils/Constant/.packlist
rm -rf %{buildroot}/usr/lib64/perl5/vendor_perl/auto/ExtUtils/Constant/.packlist
rm -rf %{buildroot}/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/auto/ExtUtils/Constant/.packlist
rm -rf %{buildroot}/usr/lib/perl5/vendor_perl/5.8.8/i?86-linux-thread-multi/auto/ExtUtils/Constant/.packlist
rm -rf %{buildroot}%{_mandir}
%endif
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README

%changelog
